Bug 6516 - Win2000 fails to authenticate to Samba after few days
Win2000 fails to authenticate to Samba after few days
Status: RESOLVED FIXED
Product: Samba 3.2
Classification: Unclassified
Component: Domain Control
3.2.5
x64 Windows 2000
: P3 critical
: ---
Assigned To: Guenther Deschner
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-29 04:45 UTC by Pavel
Modified: 2011-02-09 10:17 UTC (History)
0 users

See Also:


Attachments
tcpdump when access to share fails (1.74 KB, application/octet-stream)
2009-06-29 04:49 UTC, Pavel
no flags Details
Log level 10 + tcpdump (46.80 KB, application/octet-stream)
2009-07-08 16:29 UTC, Pavel
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel 2009-06-29 04:45:46 UTC
Hi,

we have a following problem - Win2000 is member of Samba DC (v3.2.5-4lenny2) and share a folder. When another member of domain tries to access this share - everything works.

But after few days of uptime, client looses it's possibility to access Win2000's share. Also when this happens Win2000 looses it's ability to translate SIDs to usernames in Share permissions list and Security permissions list.

When i restart Win2000 machine, everything works again for some time.
Comment 1 Pavel 2009-06-29 04:49:05 UTC
Created attachment 4360 [details]
tcpdump when access to share fails

tcpdump between Win2000 (192.168.1.1; domain member) and Samba (192.168.1.2; domain controller) when access to share on Win2000 fails for other domain clients.
Comment 2 Guenther Deschner 2009-06-30 07:21:10 UTC
Can you please provide server (pdc) logs as well (log level 10 preferably) ?

Thanks.
Comment 3 Guenther Deschner 2009-06-30 07:21:52 UTC
This might be a duplicate of bug #6255
Comment 4 Pavel 2009-07-08 16:19:16 UTC
Hi  Guenther,

it finally striked again. I read bug #6255 and if i can compare it, in my case Winbind is not installed and things begin to work, when Win2000 is restarted not samba or winbind.

Going to post tcpdump and log level 10. I hope it helps somehow.
Comment 5 Pavel 2009-07-08 16:29:29 UTC
Created attachment 4409 [details]
Log level 10 + tcpdump


This time i was on Win2003 (domain member) and trying to map shared folder on Win2000 (domain member, 192.168.1.1). PDC is 192.168.1.2.

Win2003> net use w: \\192.168.1.1\www
The password or user name is invalid for \\192.168.1.1\www.

Enter the user name for '192.168.1.1': pavel
Enter the password for 192.168.1.1:
System error 1326 has occurred.

Logon failure: unknown user name or bad password.


Of course, that i entered valid domain account.
Comment 6 Guenther Deschner 2009-09-01 20:00:13 UTC
Do you have a chance to test with a more recent version of Samba ? 3.2.5 is already a bit old and I would like to verify if it is not fixed already.
Comment 7 Guenther Deschner 2011-02-09 10:17:50 UTC
Really should not be a problem anymore in all supported branches. Reopen if still an issue. Thanks!